Page MenuHomePhabricator

Selecting value with keyboard is making wrong edits again
Closed, ResolvedPublic1 Story Points

Description

I use Wikidata in Dutch (nl).

1. Select P21 in the property suggester or search for it when you add a new statement.
2. Write "man" in the value input and select the third option "mannelijk" with your keyboard.
3. Save the edit, see that "mannelijk" is displayed.
4. Refresh the page or navigate to the item history, you see that Q8441 (man) is saved instead of Q6581097 (mannelijk).

Event Timeline

Sjoerddebruin raised the priority of this task from to High.
Sjoerddebruin updated the task description. (Show Details)
Sjoerddebruin added a subscriber: Sjoerddebruin.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2015, 1:52 PM
Lydia_Pintscher raised the priority of this task from High to Unbreak Now!.May 7 2015, 2:34 PM
Lydia_Pintscher added subscribers: aude, hoo, thiemowmde.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

This only seems to happen when people work fast.

It is not so much about working fast. I defenitely selected Australia: https://www.wikidata.org/w/index.php?title=Q19544678&diff=216964659&oldid=216964594

Addshore added a subscriber: Addshore.
Tobi_WMDE_SW edited a custom field.Jun 2 2015, 5:03 PM

What is the status of this bug?

It is in this sprint and has highest priority.

Lydia_Pintscher moved this task from Backlog to Doing on the Wikidata-Sprint-2015-06-02 board.

Change 218386 had a related patch set uploaded (by Aude):
Fix selection of snak values (to not select invalid values)

https://gerrit.wikimedia.org/r/218386

Change 218386 merged by jenkins-bot:
Fix selection of snak values (to not select invalid values)

https://gerrit.wikimedia.org/r/218386

aude closed this task as Resolved.Jun 19 2015, 11:42 AM
aude removed a project: Patch-For-Review.
aude moved this task from Review to Done on the Wikidata-Sprint-2015-06-16 board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptFeb 28 2018, 4:46 PM